strange error when starting webrick/mongrel server

hi all,

   my application crashed so tried starting the server for it again but
i'm getting a strange error when i start server with ruby script/server
-v 4000 or ruby script/server webrick -v 4000 as -
"=> Booting Mongrel (use 'script/server webrick' to force WEBrick)
server: version unknown"

   it's not starting the server. whereas if i start the server with
"mongrel_rails -v 4000", it starts... thrs no change in the appl folder
though. it was working fine previously with ruby script/server. can
anybody tell wt could be the problem pls?

   following is the log before my application crashed-

Permission denied -
/var/www/kw_merge/tmp/sessions//ruby_sess.270064565bfad96b
/usr/local/lib/ruby/1.8/pstore.rb:295:in `initialize'
/usr/local/lib/ruby/1.8/pstore.rb:295:in `open'
/usr/local/lib/ruby/1.8/pstore.rb:295:in `transaction'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_ext/pstore_performance_fix.rb:26:in
`initialize'
/usr/local/lib/ruby/1.8/cgi/session.rb:273:in `new'
/usr/local/lib/ruby/1.8/cgi/session.rb:273:in `initialize'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:132:in
`new'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:132:in
`session'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:164:in
`stale_session_check!'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:116:in
`session'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:1058:in
`assign_shortcuts_without_flash'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/flash.rb:140:in
`assign_shortcuts'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:429:in
`process_without_filters'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/filters.rb:684:in
`process_without_session_management_support'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/session_management.rb:114:in
`process'
/usr/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:334:in
`process'
/usr/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/dispatcher.rb:41:in
`dispatch'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/bin/../lib/mongrel/rails.rb:76:in
`process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/bin/../lib/mongrel/rails.rb:74:in
`synchronize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/bin/../lib/mongrel/rails.rb:74:in
`process'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:155:in
`process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:154:in
`each'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:154:in
`process_client'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:281:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:281:in
`initialize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:281:in
`new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:281:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:264:in
`initialize'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:264:in
`new'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel.rb:264:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel/configurator.rb:282:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel/configurator.rb:281:in
`each'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel/configurator.rb:281:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/bin/mongrel_rails:128:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/lib/mongrel/command.rb:212:in
`run'
/usr/local/lib/ruby/gems/1.8/gems/mongrel-1.1.1/bin/mongrel_rails:281
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in
`load'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in
`load'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in
`new_constants_in'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in
`load'
/usr/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/commands/servers/mongrel.rb:60
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in
`require'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in
`new_constants_in'
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in
`require'
/usr/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/commands/server.rb:39
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
script/server:3

-DP

hi all,

my application crashed so tried starting the server for it again but
i'm getting a strange error when i start server with ruby script/server
-v 4000 or ruby script/server webrick -v 4000 as -
"=> Booting Mongrel (use 'script/server webrick' to force WEBrick)
server: version unknown"

it's not starting the server. whereas if i start the server with
"mongrel_rails -v 4000", it starts... thrs no change in the appl folder
though. it was working fine previously with ruby script/server. can
anybody tell wt could be the problem pls?

following is the log before my application crashed-

Do you have write access to /var/www/kw_merge/tmp/sessions/ ?

Fred

Frederick Cheung wrote:

Dhaval Phansalkar wrote:

Frederick Cheung wrote:

though. it was working fine previously with ruby script/server. can
anybody tell wt could be the problem pls?

� �following is the log before my application crashed-

Do you have write access to /var/www/kw_merge/tmp/sessions/ ?

Fred

yes. my application is started now but it doesn't take the cmd "ruby
script/server" to start the server. instead it starts with
"mongrel_rails start"

-DP

i mean i have access to /var/www/kw_merge/tmp/sessions/. but don't
understand why "ruby script/server" doesn't work and "mongrel_rails
start" starts the server. is thr any chance of any ruby file got
currepted or something? can somebody explain it pls?

-DP

hi you are using ruby script/server -v 4000, so -v is for version.

So, you better to use ruby script/server -p 4000, means u r mentioning
the port number as 4000.

Hope this works fine.

Thanks,
Muni.

Munendra Ch wrote:

hi you are using ruby script/server -v 4000, so -v is for version.

So, you better to use ruby script/server -p 4000, means u r mentioning
the port number as 4000.

Hope this works fine.

Thanks,
Muni.

On Aug 28, 12:36�pm, Dhaval Phansalkar <rails-mailing-l...@andreas-

@Munendra,
   hahaha...ohhh, i was completely lost. u r right. i was giving the
wrong command. i'm sorry guys... that was a silly mistake :smiley:

   anyway, thanks for ur time and help :slight_smile:

-DP